net.sf.jasperreports.components.sort.actions

## Class FilterData

- java.lang.Object
- - net.sf.jasperreports.components.headertoolbar.actions.BaseColumnData
  - - net.sf.jasperreports.components.sort.actions.FilterData

-     public class FilterData
      extends BaseColumnData

  Version:
    $Id: FilterData.java 6510 2013-09-13 12:12:34Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFieldName()`
    `java.lang.String` | `getFieldValueEnd()`
    `java.lang.String` | `getFieldValueStart()`
    `java.lang.String` | `getFilterPattern()`
    `java.lang.String` | `getFilterType()`
    `java.lang.String` | `getFilterTypeOperator()`
    `boolean` | `getIsField()`
    `java.lang.String` | `getLocaleCode()`
    `java.lang.String` | `getTimeZoneId()`
    `boolean` | `isClearFilter()`
    `void` | `setClearFilter(boolean clearFilter)`
    `void` | `setFieldName(java.lang.String fieldName)`
    `void` | `setFieldValueEnd(java.lang.String fieldValueEnd)`
    `void` | `setFieldValueStart(java.lang.String fieldValueStart)`
    `void` | `setFilterPattern(java.lang.String filterPattern)`
    `void` | `setFilterType(java.lang.String filterType)`
    `void` | `setFilterTypeOperator(java.lang.String filterTypeOperator)`
    `void` | `setIsField(boolean isField)`
    `void` | `setLocaleCode(java.lang.String localeCode)`
    `void` | `setTimeZoneId(java.lang.String timeZoneId)`

    - ### Methods inherited from class net.sf.jasperreports.components.headertoolbar.actions.BaseColumnData

      `getTableUuid, setTableUuid`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterData

          public FilterData()

  - ### Method Detail

    - #### getFieldName

          public java.lang.String getFieldName()

    - #### setFieldName

          public void setFieldName(java.lang.String fieldName)

    - #### getFieldValueStart

          public java.lang.String getFieldValueStart()

    - #### setFieldValueStart

          public void setFieldValueStart(java.lang.String fieldValueStart)

    - #### getFieldValueEnd

          public java.lang.String getFieldValueEnd()

    - #### setFieldValueEnd

          public void setFieldValueEnd(java.lang.String fieldValueEnd)

    - #### getFilterType

          public java.lang.String getFilterType()

    - #### setFilterType

          public void setFilterType(java.lang.String filterType)

    - #### getFilterTypeOperator

          public java.lang.String getFilterTypeOperator()

    - #### setFilterTypeOperator

          public void setFilterTypeOperator(java.lang.String filterTypeOperator)

    - #### getFilterPattern

          public java.lang.String getFilterPattern()

    - #### setFilterPattern

          public void setFilterPattern(java.lang.String filterPattern)

    - #### getLocaleCode

          public java.lang.String getLocaleCode()

    - #### setLocaleCode

          public void setLocaleCode(java.lang.String localeCode)

    - #### getTimeZoneId

          public java.lang.String getTimeZoneId()

    - #### setTimeZoneId

          public void setTimeZoneId(java.lang.String timeZoneId)

    - #### isClearFilter

          public boolean isClearFilter()

    - #### setClearFilter

          public void setClearFilter(boolean clearFilter)

    - #### getIsField

          public boolean getIsField()

    - #### setIsField

          public void setIsField(boolean isField)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com